Bug 428977 - vncserver generates selinux errors with ck-get-x11-serv and pam_timestamp_c
vncserver generates selinux errors with ck-get-x11-serv and pam_timestamp_c
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-16 10:24 EST by Need Real Name
Modified: 2008-03-05 17:17 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 17:17:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-01-16 10:24:52 EST
Description of problem:
I get the following sequence of selinux errors when running: vncserver -localhost


denied  { connectto } for  pid=29302 comm="ck-get-x11-serv"
path=002F746D702F2E5831312D756E69782F5831000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
scontext=system_u:system_r:consolekit_t:s0
tcontext=unconfined_u:system_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket

denied  { read } for  pid=29302 comm="ck-get-x11-serv" name=".gdmON0X4T"
dev=sda7 ino=114615 scontext=system_u:system_r:consolekit_t:s0
tcontext=unconfined_u:object_r:unconfined_tmp_t:s0 tclass=file

denied  { getattr } for  pid=29302 comm="ck-get-x11-serv" path="/tmp/.gdmON0X4T"
dev=sda7 ino=114615 scontext=system_u:system_r:consolekit_t:s0
tcontext=unconfined_u:object_r:unconfined_tmp_t:s0 tclass=file
(01/15/08 21:39:23) denied  { append } for  pid=29345 comm="pam_timestamp_c"
path="/home/myname/.vnc/consult.pretender:1.log" dev=sda7 ino=2256706
scontext=unconfined_u:system_r:pam_t:s0-s0:c0.c1023
tcontext=unconfined_u:object_r:unconfined_home_t:s0 tclass=file


I am running:
selinux-policy-targeted-3.0.8-74.fc8.noarch.rpm
Comment 1 Daniel Walsh 2008-01-16 16:22:08 EST
# audit2allow -M mypol -i /var/log/audit/audit.log 
# semodule -i mypol.pp

Fixed in selinux-policy-3.0.8-78.fc8
Comment 2 Daniel Walsh 2008-03-05 17:17:35 EST
Bugs have been in modified for over one month.  Closing as fixed in current
release please reopen if the problem still persists.

Note You need to log in before you can comment on or make changes to this bug.